<?php

/*  Alternate WebKit
(C) 2011-2015 by Alternate Tools
-----------------------------------------------------

File:         mod_config.php
Description:  Loading of configuration settings
              This makes them available as global variables
              (better than hardcoded ones :-) )

*/

    include "class_configuration.php";
    include "mod_constants.php";

    $cConfig = new cConfiguration;
    $cConfig->SetConfigurationFile($SITE_CONFIG_FILE);
    $cConfig->LoadConfigFile();

    $SITE_ADDRESS = $cConfig->GetParameter("site_url");
    $SITE_CHARSET_FORMAT = $cConfig->GetParameter("site_charset");
    $SITE_CONTACT_ADDRESS = $cConfig->GetParameter("site_contact_email");
    $SITE_TITLE = $cConfig->GetParameter("site_title");
    $SITE_DESCRIPTION = $cConfig->GetParameter("site_description");
    $SITE_TAGS = $cConfig->GetParameter("site_tags");
    $SITE_REVISIT = $cConfig->GetParameter("site_revisit");
    $SITE_SHOWCOUNTER = $cConfig->GetParameter("site_show_counter");
    $SITE_FORMSECURITY = $cConfig->GetParameter("site_enable_formsecurity");

    $SITE_SHOWSPLASHPAGE = $cConfig->GetParameter("site_show_splashpage");
    $SITE_IMAGESPLASHPAGE = $cConfig->GetParameter("site_image_splashpage");
    $SITE_SHOWSURVEY = $cConfig->GetParameter("site_show_survey");
    $SITE_SHOWCONSTRUCTION = $cConfig->GetParameter("site_show_construction");
    $SITE_IMAGECONSTRUCTION = $cConfig->GetParameter("site_image_construction");
    
    $SITE_THEME = $cConfig->GetParameter("site_theme");
    $SITE_IMAGERESTRICTION = $cConfig->GetParameter("site_imagerestriction");
    $SITE_IMAGEBGCOLOR = $cConfig->GetParameter("site_imagebgcolor");
    $SITE_MAXIMGWIDTH = $cConfig->GetParameter("site_maximgwidth");
    $SITE_MAXIMGHEIGHT = $cConfig->GetParameter("site_maximgheight");

    $SURVEY_TITLE = $cConfig->GetParameter("survey_title");
    $SURVEY_QUESTION = $cConfig->GetParameter("survey_question");
    $SURVEY_OPTIONS = $cConfig->GetParameter("survey_options");
    $SURVEY_OPTIONSHORIZONTAL = $cConfig->GetParameter("survey_options_horizontal");
    $SURVEY_INPUTFIELDS = $cConfig->GetParameter("survey_inputfields");
    $SURVEY_SENDMAIL = $cConfig->GetParameter("survey_sendmail");
    $SURVEY_ADDITIONALRECIPIENTS = $cConfig->GetParameter("survey_additionalrecipients");

    $ADMIN_LANGUAGE = $cConfig->GetParameter("admin_language");
    if ($ADMIN_LANGUAGE == "de")
    {
        $ADMIN_LANGUAGE_FILE = "languages/admin_german.trans";
        $ADMIN_HELP_FILE = "languages/help_german.htm";
        $IMAGE_PREVIEW_FILE = "./modules/mod_image_lightbox/js/lightbox.min_de.js";
        $IMAGE_PREVIEW2_FILE = "./modules/mod_image_fancybox/fancybox_de.js";
    }
    else
    {
        $ADMIN_LANGUAGE_FILE = "languages/admin_english.trans";
        $ADMIN_HELP_FILE = "languages/help_english.htm";
        $IMAGE_PREVIEW_FILE = "./modules/mod_image_lightbox/js/lightbox.min_en.js";
        $IMAGE_PREVIEW2_FILE = "./modules/mod_image_fancybox/fancybox_en.js";
    }

?>